diff --git a/src/test/regress/expected/oidjoins.out b/src/test/regress/expected/oidjoins.out
index d56c70c847..ef268d348e 100644
--- a/src/test/regress/expected/oidjoins.out
+++ b/src/test/regress/expected/oidjoins.out
@@ -761,6 +761,14 @@ WHERE	partrelid != 0 AND
 ------+-----------
 (0 rows)
 
+SELECT	ctid, partdefid
+FROM	pg_catalog.pg_partitioned_table fk
+WHERE	partdefid != 0 AND
+	NOT EXISTS(SELECT 1 FROM pg_catalog.pg_class pk WHERE pk.oid = fk.partdefid);
+ ctid | partdefid 
+------+-----------
+(0 rows)
+
 SELECT	ctid, polrelid
 FROM	pg_catalog.pg_policy fk
 WHERE	polrelid != 0 AND
diff --git a/src/test/regress/sql/oidjoins.sql b/src/test/regress/sql/oidjoins.sql
index 656cace451..c8291d3973 100644
--- a/src/test/regress/sql/oidjoins.sql
+++ b/src/test/regress/sql/oidjoins.sql
@@ -381,6 +381,10 @@ SELECT	ctid, partrelid
 FROM	pg_catalog.pg_partitioned_table fk
 WHERE	partrelid != 0 AND
 	NOT EXISTS(SELECT 1 FROM pg_catalog.pg_class pk WHERE pk.oid = fk.partrelid);
+SELECT	ctid, partdefid
+FROM	pg_catalog.pg_partitioned_table fk
+WHERE	partdefid != 0 AND
+	NOT EXISTS(SELECT 1 FROM pg_catalog.pg_class pk WHERE pk.oid = fk.partdefid);
 SELECT	ctid, polrelid
 FROM	pg_catalog.pg_policy fk
 WHERE	polrelid != 0 AND
diff --git a/src/tools/findoidjoins/README b/src/tools/findoidjoins/README
index 7c5a5cf4b9..a245ad48b6 100644
--- a/src/tools/findoidjoins/README
+++ b/src/tools/findoidjoins/README
@@ -106,6 +106,7 @@ Join pg_catalog.pg_constraint.connamespace => pg_catalog.pg_namespace.oid
 Join pg_catalog.pg_constraint.conrelid => pg_catalog.pg_class.oid
 Join pg_catalog.pg_constraint.contypid => pg_catalog.pg_type.oid
 Join pg_catalog.pg_constraint.conindid => pg_catalog.pg_class.oid
+Join pg_catalog.pg_constraint.conparentid => pg_catalog.pg_constraint.oid
 Join pg_catalog.pg_constraint.confrelid => pg_catalog.pg_class.oid
 Join pg_catalog.pg_conversion.connamespace => pg_catalog.pg_namespace.oid
 Join pg_catalog.pg_conversion.conowner => pg_catalog.pg_authid.oid
@@ -154,6 +155,7 @@ Join pg_catalog.pg_opfamily.opfmethod => pg_catalog.pg_am.oid
 Join pg_catalog.pg_opfamily.opfnamespace => pg_catalog.pg_namespace.oid
 Join pg_catalog.pg_opfamily.opfowner => pg_catalog.pg_authid.oid
 Join pg_catalog.pg_partitioned_table.partrelid => pg_catalog.pg_class.oid
+Join pg_catalog.pg_partitioned_table.partdefid => pg_catalog.pg_class.oid
 Join pg_catalog.pg_policy.polrelid => pg_catalog.pg_class.oid
 Join pg_catalog.pg_proc.pronamespace => pg_catalog.pg_namespace.oid
 Join pg_catalog.pg_proc.proowner => pg_catalog.pg_authid.oid
